{{ 'component-image-with-text.css' | asset_url | stylesheet_tag }}

{%- style -%}
    #video-with-text {
      padding-top: {{ section.settings.padding_top}}px;
      padding-bottom: {{ section.settings.padding_bottom}}px;
      margin-top: {{ section.settings.margin_top}}px;
      margin-bottom: {{ section.settings.margin_bottom}}px;
    }

  .video-with-text-wrap{
    max-width: 900px;
    margin: 0px auto;
  }
  #video-with-text .title{

    font-family: 'FinancierDisplay';
    font-size: 60px;
    font-weight: 300;
    color:#014550;
    text-align: center;
    margin: 0px;
  }
  .description{
    font-size: 17px;
    font-weight: 300;
    color:#014550;
    text-align: center;
    padding: 30px 0px;
  }
  video{
    width:100%
  }
  .desc-html p{
    line-height:1.4em
  }
  @media (max-width: 767px){
  }
{%- endstyle -%}

<div id="video-with-text" style="background-color: {{ section.settings.ba_color }};">
  <div class="container">
    <div class="video-with-text-wrap">
      <div class="text-wrap">
        <div class="title">
          {{ section.settings.title }}
        </div>
        <p class="description">
          {{ section.settings.description }}
        </p>
      </div>
      <div class="video-wrap">
        <video
          id="video-with-text-scroll-auto-play"
          class="section-video_video video-scroll-auto-play"
          loop=""
          playsinline=""
          muted=""
          preload="none"
          controls="false"
        >
          {{ section.settings.video }}
        </video>
      </div>
    </div>
  </div>
</div>

{% schema %}
{
  "name": "Video with text",
  "class": "section",
  "settings": [
    {
      "type": "color",
      "id": "ba_color",
      "label": "Background Color"
    },
    {
      "type": "html",
      "id": "video",
      "label": "Video"
    },
    {
      "type": "text",
      "id": "title",
      "label": "Title Text"
    },
    {
      "type": "text",
      "id": "description",
      "label": "Description Text"
    },
    {
      "type": "range",
      "id": "margin_top",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "Margin Top",
      "default": 36
    },
    {
      "type": "range",
      "id": "margin_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "Margin Bottom",
      "default": 36
    },
    {
      "type": "range",
      "id": "padding_top",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_top",
      "default": 36
    },
    {
      "type": "range",
      "id": "padding_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_bottom",
      "default": 36
    }
  ],
  "presets": [
    {
      "name": "Video with text"
    }
  ]
}
{% endschema %}
